aboutsummaryrefslogtreecommitdiff
path: root/git-rebase--interactive.sh
diff options
context:
space:
mode:
authorMichael Haggerty <mhagger@alum.mit.edu>2010-01-14 06:54:44 +0100
committerJunio C Hamano <gitster@pobox.com>2010-01-14 00:27:56 -0800
commitbdb011ade4db4a50cde13b5ec870c3dccff7e093 (patch)
tree0a0320e54f14c7f5fb57a038abf4855dbff06ecf /git-rebase--interactive.sh
parent699f13ca9af6b045826b8d44c2f3870affd7823d (diff)
downloadgit-bdb011ade4db4a50cde13b5ec870c3dccff7e093.tar.gz
git-bdb011ade4db4a50cde13b5ec870c3dccff7e093.tar.xz
rebase -i: Use symbolic constant $MSG consistently
The filename constant $MSG was previously used in some places and written out literally in others. Signed-off-by: Michael Haggerty <mhagger@alum.mit.edu> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-rebase--interactive.sh')
-rwxr-xr-xgit-rebase--interactive.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/git-rebase--interactive.sh b/git-rebase--interactive.sh
index 2e1b2fa3c..efd574997 100755
--- a/git-rebase--interactive.sh
+++ b/git-rebase--interactive.sh
@@ -129,8 +129,8 @@ make_patch () {
echo "Root commit"
;;
esac > "$DOTEST"/patch
- test -f "$DOTEST"/message ||
- git cat-file commit "$1" | sed "1,/^$/d" > "$DOTEST"/message
+ test -f "$MSG" ||
+ git cat-file commit "$1" | sed "1,/^$/d" > "$MSG"
test -f "$DOTEST"/author-script ||
get_author_ident_from_commit "$1" > "$DOTEST"/author-script
}
@@ -341,7 +341,7 @@ peek_next_command () {
}
do_next () {
- rm -f "$DOTEST"/message "$DOTEST"/author-script \
+ rm -f "$MSG" "$DOTEST"/author-script \
"$DOTEST"/amend || exit
read command sha1 rest < "$TODO"
case "$command" in
@@ -559,7 +559,7 @@ first and then run 'git rebase --continue' again."
die "Cannot rewind the HEAD"
fi
export GIT_AUTHOR_NAME GIT_AUTHOR_EMAIL GIT_AUTHOR_DATE &&
- git commit --no-verify -F "$DOTEST"/message -e || {
+ git commit --no-verify -F "$MSG" -e || {
test -n "$amend" && git reset --soft $amend
die "Could not commit staged changes."
}